Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.util.timing
Class R01FStopWatch

    java.lang.Object
      com.ejie.r01f.util.timing.R01FStopWatch

public final class R01FStopWatch
extends java.lang.Object

Clase que actua de "cronometro" y que se puede utilizar para "medir" el tiempo de ejecución de código

Constructor Summary
`R01FStopWatch()` Constructor vacio

Method Summary
`static void` | `main(java.lang.String[] arguments)` An example of the use of this class to time the execution of String manipulation code.
`void` | `start()` Start the stopwatch.
`void` | `stop()` Stop the stopwatch.
`java.lang.String` | `toString()` Express the "reading" on the stopwatch.
`long` | `toValue()` Express the "reading" on the stopwatch as a numeric type.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### R01FStopWatch

    public R01FStopWatch()

  Constructor vacio

Method Detail

### start

    public void start()

  Start the stopwatch.

  Throws:
    `java.lang.IllegalStateException` - if the stopwatch is already running.

### stop

    public void stop()

  Stop the stopwatch.

  Throws:
    `java.lang.IllegalStateException` - if the stopwatch is not already running.

### toString

    public java.lang.String toString()

  Express the "reading" on the stopwatch.

  Throws:
    `java.lang.IllegalStateException` - if the Stopwatch has never been used, or if the stopwatch is still running.

### toValue

    public long toValue()

  Express the "reading" on the stopwatch as a numeric type.

  Returns:
    the reading on the stopwatch
  Throws:
    `java.lang.IllegalStateException` - if the Stopwatch has never been used, or if the stopwatch is still running.

### main

    public static void main(java.lang.String[] arguments)

  An example of the use of this class to time the execution of String manipulation code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD